---
type: api
title: List all detection rule tags
description: List all unique tags from all detection rules.
url: https://www.elastic.co/docs/api/doc/kibana-serverless/operation/operation-readtags
resource: https://www.elastic.co/docs/api/doc/kibana-serverless/operation/operation-readtags
products:
  - Kibana
---

# List all detection rule tags

Authentication: required

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/detection_engine/tags`
- `GET` `/s/{space_id}/api/detection_engine/tags`

#### Path parameters

- `space_id` (string) — optional
  An identifier for the space. If `space_id` is not provided in the URL, the default space is used. Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Description

List all unique tags from all detection rules.

## Response

Indicates a successful call

`application/json`

Type: `string[]`

## Code examples

#### Console

```console
GET kbn:/api/detection_engine/tags
```

#### curl

```curl
curl -X GET "${KIBANA_URL}/api/detection_engine/tags" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### Example1

`application/json`

```json
[
  "zeek",
  "suricata",
  "windows",
  "linux",
  "network",
  "initial access",
  "remote access",
  "phishing"
]
```

